# Interface EnumDeclaration

All Superinterfaces:
  `ClassDeclaration, Declaration, MemberDeclaration, TypeDeclaration`

public interface EnumDeclaration extends ClassDeclaration
Represents the declaration of an enum type.

Since:
  1.5
Version:
  1.1 04/01/26
Author:
  Joseph D. Darcy, Scott Seligman

## Method Summary

Modifier and Type
Method
Description
`Collection<EnumConstantDeclaration>`
`getEnumConstants()`
Returns the enum constants defined for this enum.

### Methods inherited from interface ClassDeclaration

`getConstructors, getMethods, getSuperclass`

### Methods inherited from interface Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface MemberDeclaration

`getDeclaringType`

### Methods inherited from interface TypeDeclaration

`getFields, getFormalTypeParameters, getNestedTypes, getPackage, getQualifiedName, getSuperinterfaces`

## Method Details

### getEnumConstants

Collection<EnumConstantDeclaration> getEnumConstants()
Returns the enum constants defined for this enum.

Returns:
  the enum constants defined for this enum, or an empty collection if there are none